package ali_logistics_query

import (
	"fmt"
	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/globals"
	"testing"
	"time"
)

var (
	appKey    = "23537670"
	appSecret = "4a77a431c0bf01f6dfa63d1a1ec9ecd2"
	appCode   = "00a6eefba0204d3fa310ac0ee7a6fc54"
)

func Test(t *testing.T) {
	api := New(appKey, appSecret, appCode)
	result, err := api.GetLogisticsInfo("88509825167028")
	globals.SugarLogger.Debugf("result======== %s", utils.Format4Output(result, false))
	globals.SugarLogger.Debugf("err======== %s", utils.Format4Output(err, false))
}

func TestSkuStatus(t *testing.T) {
	fmt.Println(time.Since(utils.Str2Time("2026-03-18 00:00:00")) >= 3*24*time.Hour)
}
